> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindfort.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Finding Severity

<Info>Required API key permission: `findings:write`.</Info>


## OpenAPI

````yaml /openapi.json patch /v1/findings/{finding_id}/severity
openapi: 3.1.0
info:
  title: MindFort API
  version: 1.0.0
  description: >-
    The MindFort Public API supports targets, assessments, finding lifecycle and
    analytics, and reports. Public responses use positive field allowlists and
    call informational non-vulnerable results `secured`.
servers:
  - url: https://api.mindfort.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/findings/{finding_id}/severity:
    patch:
      tags:
        - Findings
      summary: Update Finding Severity
      operationId: updateFindingSeverity
      parameters:
        - name: finding_id
          in: path
          required: true
          description: Finding UUID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SeverityOverrideRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicFinding'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Not permitted for this organization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SeverityOverrideRequest:
      type: object
      required:
        - severity
      properties:
        severity:
          type:
            - string
            - 'null'
          enum:
            - critical
            - high
            - medium
            - low
            - secured
            - info
            - null
          description: >-
            `secured` is the public value. `info` is accepted only as a
            deprecated input alias. Null clears the override.
      additionalProperties: false
    PublicFinding:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        assessment_id:
          title: Assessment Id
          type:
            - string
            - 'null'
          format: uuid
        target_id:
          title: Target Id
          type:
            - string
            - 'null'
          format: uuid
        target_name:
          title: Target Name
          type:
            - string
            - 'null'
        finding_type:
          type: string
          const: red-team
          title: Finding Type
          default: red-team
        title:
          title: Title
          type:
            - string
            - 'null'
        severity:
          title: Severity
          type:
            - string
            - 'null'
          enum:
            - secured
            - low
            - medium
            - high
            - critical
            - null
        severity_score:
          title: Severity Score
          type:
            - number
            - 'null'
        overridden_severity:
          title: Overridden Severity
          type:
            - string
            - 'null'
          enum:
            - secured
            - low
            - medium
            - high
            - critical
            - null
        status:
          type: string
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        status_updated_at:
          title: Status Updated At
          type:
            - string
            - 'null'
          format: date-time
        resolve_reason:
          title: Resolve Reason
          type:
            - string
            - 'null'
        resolve_context:
          title: Resolve Context
          type:
            - string
            - 'null'
        endpoint:
          type: string
          title: Endpoint
        description:
          type: string
          title: Description
        impact:
          type: string
          title: Impact
        evidence:
          type: string
          title: Evidence
        approach:
          type: string
          title: Approach
        remediation_advice:
          title: Remediation Advice
          type:
            - string
            - 'null'
        vulnerability_tags:
          title: Vulnerability Tags
          items:
            type: string
          type:
            - array
            - 'null'
        owasp_category:
          title: Owasp Category
          type:
            - string
            - 'null'
        retest_status:
          title: Retest Status
          type:
            - string
            - 'null'
        retest_started_at:
          title: Retest Started At
          type:
            - string
            - 'null'
          format: date-time
        retest_completed_at:
          title: Retest Completed At
          type:
            - string
            - 'null'
          format: date-time
        retest_in_progress:
          type: boolean
          title: Retest In Progress
          default: false
      type: object
      required:
        - id
        - status
        - created_at
        - updated_at
        - endpoint
        - description
        - impact
        - evidence
        - approach
      title: PublicFinding
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message
        request_id:
          type: string
          description: Unique request identifier for debugging
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key generated from the MindFort dashboard. Pass as `Authorization:
        Bearer <your-api-key>`.

````